HOSTSYNC(3PVM)

NAME
pvm_hostsync - Get time-of-day clock from PVM host.

SYNOPSIS
C	#include <sys/time.h>
	int info = pvm_hostsync( int host, struct timeval *clk,
		struct timeval *delta )
Fortran	call pvmfhostsync( host, clksec, clkusec, deltasec, deltausec, info )

PARAMETERS

host
    TID of host.

clk (or clksec and clkusec) Returns time-of-day clock sample from host.

delta
    (or deltasec and deltausec) Returns difference between local clock and remote host clock.

DESCRIPTION
pvm_hostsync samples the time-of day clock of a host in the virtual machine and returns both the clock value and the difference between local and remote clocks.

To reduce the delta error due to message transit time, local clock samples are taken before and after reading the remote clock. Delta is the difference between the mean local clocks and remote clock.

Note that the delta time can be negative. The microseconds field is always normalized to 0..999999, while the sign of the seconds field gives the sign of the delta. For example:
    3.25 Sec = 3,250000
    0 = 0,0
    -1 uSec = -1,999999
    -1 Sec = -1,000000
    -1.1 Sec = -2,999000

In C, if clk or delta is a null pointer, that parameter is not returned.

ERRORS
If pvm_hostsync is successful, it returns PvmOk. These error conditions can be returned by pvm_hostsync

PvmSysErr
    pvmd not responding.

PvmNoHost
    specified host not in virtual machine.

PvmHostFail
    host is unreachable (and thus possibly failed)

SEE ALSO
pvm_config(3PVM)